MariusRoma
Expert
Expert

No snap-in is registered for Windows PowerShell version 5

Jump to solution

I have a PC running Windows 10 and I use PowerShell v.5 to connect to a vSphere 5.5 infrastructure.

When I start a PowerShell script that attempts to execute the Add-PSSnapin VMware.VimAutomation.Core command I get an error saying that no snap-in is registered for Windows PowerShell version 5.

How can I solve the problem?

Regards

marius

1 Solution

Accepted Solutions
LucD
Leadership
Leadership

Which PowerCLI version do you have installed?

In the latest PowerCLI version there are no PSSnapin anymore.

You can check the PowerCLI version via the Programs And Features Control Panel applet.

If it says 6.5.0 or higher, you can do (instead of the Add-PSSnapin)

Get-Module -Name VMware* -ListAvailable | Import-Module


Blog: lucd.info  Twitter: @LucD22  Co-author PowerCLI Reference

View solution in original post

3 Replies
LucD
Leadership
Leadership

Which PowerCLI version do you have installed?

In the latest PowerCLI version there are no PSSnapin anymore.

You can check the PowerCLI version via the Programs And Features Control Panel applet.

If it says 6.5.0 or higher, you can do (instead of the Add-PSSnapin)

Get-Module -Name VMware* -ListAvailable | Import-Module


Blog: lucd.info  Twitter: @LucD22  Co-author PowerCLI Reference

View solution in original post

MariusRoma
Expert
Expert

Many, many thanks!

Mario

0 Kudos
MonsterSimo
Contributor
Contributor

you're a lifesaver, thx very much

0 Kudos